'use strict'
const path = require('path')
const port = process.env.port || process.env.npm_config_port || 9527 // dev port
module.exports = {
	publicPath: '/',
	outputDir: 'dist',
	indexPath: process.env.NODE_ENV === 'development' ? 'mer.html' : 'index.html',
	lintOnSave: process.env.NODE_ENV === 'development',
	productionSourceMap: false,
	devServer: {
		port: port,
		// open: true,
		overlay: {
			warnings: false,
			errors: true
		},
		// proxy: 'http://red.liuniu946.com'
		proxy: {
			'/api': {	
				target: `http://red.liuniu946.com`, // 需要代理到的地址               
				changeOrigin: true,
				// ws: true,
				pathRewrite: {
					'^/api': '/api'
				}
			}
		}
	}

}